import AjmHttp from 'ajm-framework/core/utils/ajm-http';
import AjmConfig from 'ajm-framework/core/utils/ajm-config'

// $http对象
let $http = new AjmHttp({contextPath: AjmConfig.get("OAUTH_CONTEXT_PATH")}).getHttpClient();


// 导出登录服务
let loginService = {
  //生成key
  generateKey: function () {
      return $http.get('/common/verifyCode/generateKey/');
  },
    //检查用户是否修改密码/api/user/checkIsDefaultPassword
    checkIsDefaultPassword(){
        return $http.get("/api/user/checkIsDefaultPassword").then(res => res.data);
    },

}

export default loginService
